#version 460 core

layout (location = 0) in vec3 a_pos;

out vec3 position;

uniform mat4 vp;
uniform mat4 model;

void main() {
    gl_Position = vp * model * vec4(a_pos, 1.0);
    position = vec3(model * vec4(a_pos, 1.0));
}